Bug 2059654 - Dynamic demo plugin proxy example out of date
Summary: Dynamic demo plugin proxy example out of date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.11.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 2061250
TreeView+ depends on / blocked
 
Reported: 2022-03-01 16:12 UTC by Samuel Padgett
Modified: 2022-08-10 10:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 10:51:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10893 0 None open Bug 2059654: update ConsolePlugin proxy settings 2022-03-01 16:12:45 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:51:50 UTC

Description Samuel Padgett 2022-03-01 16:12:28 UTC
The proxy usage in the dynamic-demo-plugin is out of date for the proxy API changes made before the 4.10 release. The README needs to be updated as well.

See https://github.com/openshift/api/pull/1067

Comment 2 Yadan Pei 2022-03-04 06:38:25 UTC
1. clone latest 'console' repo and change working directory to 'dynamic-demo-plugin'

$ oc apply -f oc-manifest.yaml 
namespace/console-demo-plugin created
deployment.apps/console-demo-plugin created
service/console-demo-plugin created
consoleplugin.console.openshift.io/console-demo-plugin created

consoleplugin can be created successfully, it proves that the consoleplugin manifest yaml has been updated successfully since without fix in this bz consoleplugin can not be created successfully

moving to VERIFIED

Comment 5 errata-xmlrpc 2022-08-10 10:51:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.